/* Defining two different fonts for texts. */
@font-face {
    font-family: Halvetica;
    src: url('../assets/fonts/Helvetica\ LT\ 35\ Thin.ttf');
}
@font-face {
    font-family: HalveticaBold;
    src: url('../assets/fonts/HelveticaRounded-Bold.otf');
}
/* Ignoring default margin value for html and body. */
html, body {
    margin: 0;
    height: 100%;
    width: 100%;
}
/* Configuring background image and setting the default font for project */
body {
    font-family: Halvetica, sans-serif;
    background-image: url('../assets/images/main-bg.jpg');
    background-size: 100% 100%;
    background-repeat: no-repeat;
}
/* Ignoring default margin value for h2 and p tags for better controlling */
h2, p {
    margin: 0;
}
h2 {
    color: #040075;
    text-shadow: 0 0 2px #040075;
}
/* The following code is used for centering child elements using flex
display: flex;
align-items: center;
justify-content: center; */
.main-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    height: 100vh;
}
.main-container {
    width: 600px;
    height: 400px;
    /* Handling overflow using auto option */
    overflow: auto;
    
    border-width: 1px;
    /* Removing border color */
    border-color: transparent;
    border-style: solid;
    border-radius: 45px;

    padding: 40px;
    background-color: rgb(255, 255, 255, 0.9);

    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: row;

    /* Defining fade in animation for when container pops up */
    animation-name: fadeIn;
    animation-duration: 1.5s;
    animation-iteration-count: 1;

    box-shadow: 0 0  55px rgba(255, 192, 203, 0.9);
}
.header-text {
    /* Default font for headers */
    font-family: HalveticaBold, sans-serif;
    font-size: 35px;
    font-weight: 100;
}
.text-input {
    font-family: Halvetica;
    border: 0.5px solid gray;
    border-radius: 5px;
    font-size: 25px;
}
/* Customizing radio buttons in the following lines. */
input[type="radio"] {
    margin: 0 15px;
    display: grid;
    place-content: center;
}
input[type="radio"]::before {
    content: "";
    width: 1em;
    height: 1em;
    border-radius: 50%;
    transform: scale(0);
    transition: 120ms transform ease-in-out;
    box-shadow: inset 1em 1em black;
}
input[type="radio"]:checked::before {
    transform: scale(1);
}
.form-container {
    width: 45%;
    height: 100%;
    overflow: auto;
    padding: 0 10px;
}
.name-container {
    display: flex;
    flex-direction: column;
    font-size: 25px;
    margin: 25px 0;
}
.gender-selection {
    display: flex;
    flex-direction: column;
    font-size: 25px;
    margin: 25px 0;
}
.gender-choice {
    display: flex;
    align-items: center;
}
.result-container {
    width: 55%;
    height: 100%;
    padding: 0 10px;
}
.prediction-container {
    width: 100%;
    height: 40%;
    margin: 5px;
    overflow: auto;
}
.result {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin: 25px 0;
    font-size: 25px;
    height: 25px;
}
.saved-result {
    height: 80px;
    margin: 25px 0;
    font-size: 25px;
}
.saved-result-container {
    width: 100%;
    height: 60%;
    margin: 5px;
    padding: 5px 10px;

    border: 1px dashed gray;
    border-radius: 20px;

    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-direction: column;

    /* Switching opacity to 1 when there is saved data using JS  */
    opacity: 0;

    transition: opacity 300ms ease-in;
}
.saved-result {
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-direction: column;
}
.info {
    text-align: center;
    width: 350px;
    margin: 10px 0;
}
.modal-message {
    font-size: 20px;
    width: 600px;
    /* Handling overflow in texts shown in modal using ... */
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    text-align: center;
}
.customized-button {
    font-family: Halvetica;
    cursor: pointer;
    width: 100px;
    height: 45px;
    font-size: 25px;
    border-radius: 5px;
    margin: 10px;
    border: 1px solid;
    border-color: transparent;
    background-color: rgb(219,112,147);
    color: white;
    /* Using transition for better UI when hovered */
    transition: box-shadow 300ms ease-in-out, color 300ms ease-in-out;
}
.customized-button:hover {
    /* Adding box shadow when hovered on a button */
    color: rgba(0, 0, 0, 0.8);
    box-shadow: 0 0 40px 40px rgb(255,182,193) inset;
}
.footer {
    display: flex;
    align-items: center;
    justify-content: center;
    /* Fixing the footer to bottom */
    position: fixed;
    background-color: rgba(255, 192, 203, 0.9);
    bottom: 0;
    width: 100%;
    height: 35px;
    font-size: 20px;
    color: white;
}
.modal-container {
    /* Adding z-index for covering the box shadow of main container */
    z-index: 5;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-size: 35px;
    width: 600px;
    height: 30px;
    padding: 10px 40px;
    border-radius: 55px;
    margin: 10px 0;
    opacity: 0;
    /* Adding transition for better UI when modal pops up */
    transition: all 0.5s ease-in;
    background-color: rgb(255, 255, 255, 0.9);
}
/* Defining fade-in animation */
@keyframes fadeIn {
    0% {opacity: 0;}
    100% {opacity: 1;}
}
/* Customizing text selection for better UI */
::selection {
    color: white;
    background-color: pink;
}